GET
/
agents
/
{agentId}
Retrieve an agent
curl --request GET \
  --url https://your_salambo_base_url/api/v1/agents/{agentId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "object": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "is_active": true,
  "created_at": 123,
  "updated_at": 123,
  "description": "<string>",
  "icon": "<string>",
  "command_content": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string<uuid>
required

Response

Agent object.

id
string<uuid>
required
object
string
required
Allowed value: "agent"
name
string
required
slug
string
required
is_active
boolean
required

Public active/inactive switch. Active agents can appear in the model list.

created_at
integer
required
updated_at
integer
required
description
string | null
icon
string | null
command_content
string